glade-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Global API elements for System.Object
- Method
  System.String `` Used to get the name of a widget that was generated by a object. a a
- Method
  Glade.XML `` This function is used to get the object that built this widget. a a
- Method
  System.String `` Checks the version of a module. a a
- Method
  System.Void `` this method allows you to override the default behaviour when a Custom widget is found in an interface. the to use when a custom widget is found.
- Constructor
  Default constructor
  a
- Method
  System.Void `` `` `` This method provides a way to register handlers for custom properties. the of the widget. the name of the custom property the to call when the property is found. Some properties are not (yet) handled through the GObject property code, so can not be handled by the generic code. This function provides a way to register handlers for these properties. Such handlers will apply for the GType type and all its descendants.
- Method
  System.UInt32 `` `` This helper routine is designed to be used by widget build routines to convert the string representations of flags values found in the XML descriptions to the integer values that can be used to configure the widget. a a a The string is composed of string names or nicknames for various flags separated by '|'.
- Method
  System.Int32 `` `` This helper routine is designed to be used by widget build routines to convert the string representations of enumeration values found in the XML descriptions to the integer values that can be used to configure the widget. a a a
- Method
  System.Void `` `` `` `` This method registers new construction methods for a widget type. the of a widget. the used to construct the widget. the used to construct the children or null. the to find the internal children or null.